Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - d -

- d : Lucene::FuzzyTermEnum
- data : Lucene::ArrayData< TYPE > , Lucene::Payload , Lucene::SkipBuffer
- dataLen : Lucene::CharTokenizer
- dataOffset : Lucene::CompoundFileWriter::FileEntry
- dateOrder : Lucene::DateTools
- dateResolution : Lucene::QueryParser
- debugStream : Lucene::QueryParserTokenManager
- decoder : Lucene::InputStreamReader
- decrefOnClose : Lucene::MultiReader , Lucene::ParallelReader
- DEFAULT_BUFFER_SIZE : Lucene::KeywordTokenizer
- DEFAULT_CACHE_CLEAN_SIZE : Lucene::FilterManager
- DEFAULT_CACHE_SIZE : Lucene::TermInfosReader
- DEFAULT_CACHE_SLEEP_TIME : Lucene::FilterManager
- DEFAULT_DOC_COUNT_PERCENT : Lucene::ConstantScoreAutoRewrite
- DEFAULT_GREEDY : Lucene::TimeLimitingCollector
- DEFAULT_MAX_BUFFERED_DELETE_TERMS : Lucene::IndexWriter
- DEFAULT_MAX_BUFFERED_DOCS : Lucene::IndexWriter
- DEFAULT_MAX_FIELD_LENGTH : Lucene::IndexWriter
- DEFAULT_MAX_MERGE_DOCS : Lucene::LogMergePolicy
- DEFAULT_MAX_MERGE_MB : Lucene::LogByteSizeMergePolicy
- DEFAULT_MAX_TOKEN_LENGTH : Lucene::StandardAnalyzer
- DEFAULT_MERGE_FACTOR : Lucene::LogMergePolicy
- DEFAULT_MIN_MERGE_DOCS : Lucene::LogDocMergePolicy
- DEFAULT_MIN_MERGE_MB : Lucene::LogByteSizeMergePolicy
- DEFAULT_NO_CFS_RATIO : Lucene::LogMergePolicy
- DEFAULT_RAM_BUFFER_SIZE_MB : Lucene::IndexWriter
- DEFAULT_READ_CHUNK_SIZE : Lucene::FSDirectory
- DEFAULT_RESOLUTION : Lucene::TimeLimitingCollector
- DEFAULT_TERM_COUNT_CUTOFF : Lucene::ConstantScoreAutoRewrite
- DEFAULT_TERM_INDEX_INTERVAL : Lucene::IndexWriter
- DEFAULT_TERMS_INDEX_DIVISOR : Lucene::IndexReader
- defaultAnalyzer : Lucene::PerFieldAnalyzerWrapper
- defaultInfoStream : Lucene::IndexWriter
- defaultLexState : Lucene::QueryParserTokenManager
- defaultPrefixLength : Lucene::FuzzyQuery
- delCount : Lucene::SegmentInfo , Lucene::SegmentMergeInfo
- delCounts : Lucene::SegmentMerger
- delegate : Lucene::TokenAttributeFactory
- delegee : Lucene::SimilarityDelegator
- deletable : Lucene::IndexFileDeleter
- deleted : Lucene::CommitPoint
- deletedDocs : Lucene::SegmentTermDocs
- deletedDocsRef : Lucene::SegmentReader
- deleter : Lucene::IndexWriter
- deletesFlushed : Lucene::DocumentsWriter
- deletesInRAM : Lucene::DocumentsWriter
- deletionPolicy : Lucene::DirectoryReader , Lucene::IndexWriter
- deletionsFileName : Lucene::SegmentInfoStatus
- delGen : Lucene::SegmentInfo
- description : Lucene::Explanation
- details : Lucene::Explanation
- df : Lucene::FormatPostingsDocsWriter , Lucene::SegmentTermDocs
- diagnostics : Lucene::SegmentInfoStatus , Lucene::SegmentInfo
- diff : Lucene::NormalizeCharMap
- diffs : Lucene::BaseCharFilter
- dir : Lucene::IndexStatus , Lucene::ConcurrentMergeScheduler , Lucene::ReaderCommit , Lucene::FormatPostingsFieldsWriter , Lucene::SegmentInfo , Lucene::CheckIndex
- directory : Lucene::CompoundFileReader , Lucene::DocumentsWriter , Lucene::FSDirectory , Lucene::IndexFileDeleter , Lucene::CommitPoint , Lucene::IndexWriter , Lucene::SegmentMerger , Lucene::SegmentWriteState , Lucene::TermInfosReader
- directoryOffset : Lucene::CompoundFileWriter::FileEntry
- dirty : Lucene::PorterStemmer
- DISABLE_AUTO_FLUSH : Lucene::IndexWriter
- disableCoord : Lucene::BooleanQuery
- discountOverlaps : Lucene::DefaultSimilarity
- disjuncts : Lucene::DisjunctionMaxQuery
- doc : Lucene::Bucket , Lucene::PositionInfo , Lucene::FilteredDocIdSetIterator
- DOC : Lucene::SortField
- doc : Lucene::BooleanScorer , Lucene::BucketScorer , Lucene::BooleanScorer2 , Lucene::DisjunctionMaxScorer , Lucene::DocState , Lucene::PhrasePositions , Lucene::ReqExclScorer , Lucene::ScoreDoc , Lucene::SpanScorer , Lucene::StoredFieldsWriterPerThread , Lucene::TermScorer , Lucene::TermVectorsTermsWriterPerThread
- doCall : Lucene::TermsHashPerField
- docBase : Lucene::TopFieldCollector , Lucene::DocComparator , Lucene::TimeLimitingCollector , Lucene::TopScoreDocCollector
- docBoost : Lucene::DocFieldProcessorPerThread
- docCount : Lucene::StoredFieldStatus , Lucene::SegmentInfoStatus , Lucene::TermVectorStatus , Lucene::MultiLevelSkipListReader , Lucene::SegmentInfo
- docCountPercent : Lucene::ConstantScoreAutoRewrite
- docFieldProcessor : Lucene::DocumentsWriter
- docFreeList : Lucene::DocFieldConsumers , Lucene::DocFieldProcessorPerThread , Lucene::StoredFieldsWriter , Lucene::TermVectorsTermsWriter
- docFreq : Lucene::FreqProxTermsWriterPostingList , Lucene::TermInfo
- docID : Lucene::FreqProxFieldMergeState , Lucene::DocState , Lucene::DocWriter
- docIDs : Lucene::NormsWriterPerField , Lucene::BufferedDeletes
- docIdSet : Lucene::SpanFilterResult
- doClose : Lucene::FieldsWriter , Lucene::FileSwitchDirectory
- docMap : Lucene::SegmentMergeInfo
- docMaps : Lucene::MergeDocIDRemapper , Lucene::SegmentMerger
- docs : Lucene::TermScorer
- docShift : Lucene::MergeDocIDRemapper
- docStarts : Lucene::IndexSearcher
- docState : Lucene::DocInverterPerThread , Lucene::FreqProxTermsWriterPerThread , Lucene::NormsWriterPerField , Lucene::DocFieldProcessorPerThread , Lucene::DocInverterPerField , Lucene::FreqProxTermsWriterPerField , Lucene::DocumentsWriterThreadState , Lucene::StoredFieldsWriterPerThread , Lucene::TermsHashPerThread , Lucene::DocFieldConsumersPerThread , Lucene::TermsHashPerField , Lucene::NormsWriterPerThread
- docStoreCompoundFile : Lucene::SegmentInfoStatus
- docStoreIsCompoundFile : Lucene::SegmentInfo
- docStoreOffset : Lucene::SegmentInfoStatus , Lucene::DocumentsWriter , Lucene::SegmentInfo , Lucene::FieldsReader , Lucene::TermVectorsReader
- docStoreSegment : Lucene::DocumentsWriter , Lucene::SegmentInfoStatus , Lucene::SegmentInfo
- docStoreSegmentName : Lucene::SegmentWriteState
- docsWriter : Lucene::FormatPostingsTermsWriter
- docWriter : Lucene::IndexFileDeleter , Lucene::IndexWriter
- doFlushAfter : Lucene::DocumentsWriterThreadState
- done : Lucene::KeywordTokenizer
- doNextCall : Lucene::TermsHashPerField
- DOUBLE : Lucene::SortField
- DOUBLE_EXPONENT_MASK : Lucene::MiscUtils
- DOUBLE_MANTISSA_MASK : Lucene::MiscUtils
- DOUBLE_NAN_BITS : Lucene::MiscUtils
- DOUBLE_SIGN_MASK : Lucene::MiscUtils
- doVectorOffsets : Lucene::TermVectorsTermsWriterPerField
- doVectorPositions : Lucene::TermVectorsTermsWriterPerField
- doVectors : Lucene::TermVectorsTermsWriterPerField

clucene.sourceforge.net